# Custom Record Actions Custom Record Actions ## Gets all of the custom record actions in the system. - [GET /customRecordActions/{tenantId}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/custom-record-actions/listcustomrecordactions.md): This method will scan all custom record actions and and return them to the caller. ## Creates a new custom record action record that does not already exist. - [POST /customRecordActions/{tenantId}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/custom-record-actions/createcustomrecordaction.md): This method will auto-generate an ID and create a new custom record action. If an ID is specified for the custom record action, an error will be thrown. ## Execute Batch Operations - [POST /customRecordActions/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/custom-record-actions/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Execute Custom Action for a given Record - [POST /customRecordActions/{tenantId}/execute/{id}/{service}/{record_id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/custom-record-actions/executecustomaction.md) ## Returns a custom record action from the system by its ID. - [DELETE /customRecordActions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/custom-record-actions/deletecustomrecordaction.md): This method will delete a custom record action with the specified ID. ## Returns a custom record action from the system by its ID. - [GET /customRecordActions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/custom-record-actions/getcustomrecordaction.md): This method will look up a custom record action by the specified ID and return it back. ## Partially updates a custom record action with the specified ID. - [PATCH /customRecordActions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/custom-record-actions/patchcustomrecordaction.md): This method will patch an existing custom record action with the specified ID, using the HTTP PATCH specification. ## Updates a custom record action with the specified ID. - [PUT /customRecordActions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/custom-record-actions/updatecustomrecordaction.md): This method will update an existing custom record action with the specified ID.